Get customer
curl --request GET \
--url https://api.example.com/customers/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'x-environment: <x-environment>'import requests
url = "https://api.example.com/customers/{customerId}"
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-environment': '<x-environment>', Authorization: 'Bearer <token>'}
};
fetch('https://api.example.com/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"handle": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"billingAddress": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"state": "<string>"
},
"paymentTerm": "<string>",
"email": "<string>",
"currency": "<string>",
"collectionMode": "automatic"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Customers
Get customer
Retrieve a customer by id.
GET
/
customers
/
{customerId}
Get customer
Headers
Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.
Path Parameters
Id of customer to retrieve.
Response
OK
Unique id of the customer.
Name of the customer.
Unique handle of the customer.
Date and time when the product was created.
/// Date and time when the product was last updated.
Show child attributes
Show child attributes
Preferred payment term of customer. See https://docs.plude.io/invoicing/payment-terms.
Email of the customer.
Optional sets the preferred currency of this customer.
Available options:
automatic, send_invoice, draft_invoice Was this page helpful?

